
D4Science Infrastructure - VM Creation #8563

Task # 8442 (Closed): Authorization Service  to update : auth@node7.d.d4science.research-infrastructures.eu

Move tabulardata service instance on a new VM called tabulardata-devnext.d4science.org

May 12, 2017 05:42 PM - Roberto Cirillo

Status: Closed Start date: May 12, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Dismiss

node7.d.d4science.research-infrastructur

es.eu

  

Infrastructure: Development Applications list and

version:

 

RAM: 3 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 12 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest prod PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs:  

Smartgears scopes: /gcube

/gcube/devNext

/gcube/devNext/NextNext

  

Description

It's needed to move the tabulardata instance hosted on node7.d.d4science.research-infrastructures.eu to a new VM called

tabulardata-devnext.d4science.org.

We need the same resources defined here: #7702

Related issues:

Related to D4Science Infrastructure - Task #8660: tabular-data-manager servic... Closed May 17, 2017

History

#1 - May 12, 2017 05:48 PM - Roberto Cirillo

- Target version changed from UnSprintable to Dismiss node7.d.d4science.research-infrastructures.eu

#2 - May 12, 2017 05:51 PM - Roberto Cirillo

- Parent task set to #8442

#3 - May 15, 2017 06:28 PM - Andrea Dell'Amico

tabulardata-devnext-d.dev.d4science.org. 146.48.123.126

#4 - May 15, 2017 06:32 PM - Andrea Dell'Amico

- Tracker changed from Task to VM Creation

- RAM set to 3

- CPU set to 2

- DiskSpace set to 12

- Smartgears set to Yes

- Smartgears Version set to latest prod
https://redmine.dev.d4science.org/issues/7702


- data transfer enabled set to No

- PostgreSQL database set to Yes

#5 - May 15, 2017 06:36 PM - Andrea Dell'Amico

@roberto.cirillo@isti.cnr.it can you provide the missing information?

I've just seen that on postgresql-srv-dev.d4science.org two databases named tabulardata-dev and tabularmetadata-dev already exist but are not

used. Can we use those or are they meant for another dev instance? Do we need to import the data from node7.d.d4science?

#6 - May 15, 2017 06:40 PM - Andrea Dell'Amico

Andrea Dell'Amico wrote:

I've just seen that on postgresql-srv-dev.d4science.org two databases named tabulardata-dev and tabularmetadata-dev already exist but are not

used. Can we use those or are they meant for another dev instance? Do we need to import the data from node7.d.d4science?

 I missed the reference to the other ticket. Since the existing ones are meant to be used by tabulardata-devsec.d4science.org, so the databases for

this instance will have different names.

#7 - May 15, 2017 06:48 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

@roberto.cirillo@isti.cnr.it can you provide the missing information?

I've just seen that on postgresql-srv-dev.d4science.org two databases named tabulardata-dev and tabularmetadata-dev already exist but are not

used. Can we use those or are they meant for another dev instance? Do we need to import the data from node7.d.d4science?

 please @lucio.lelii@isti.cnr.it  could you reply?

#8 - May 16, 2017 10:37 AM - Lucio Lelii

I have changed the ServiceEndpoint pointing to this new db.  

#9 - May 16, 2017 11:20 AM - Andrea Dell'Amico

- Smartgears scopes updated

The instance will use the database already defined on postgresql-srv-dev.d4science.org

#10 - May 16, 2017 11:44 AM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 50

#11 - May 16, 2017 12:04 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

The VM is up and running. Available on both http and https.

#12 - May 17, 2017 10:34 AM - Roberto Cirillo

- Status changed from Feedback to Closed

#13 - May 17, 2017 10:36 AM - Roberto Cirillo

- Related to Task #8660: tabular-data-manager service to test : tabulardata-devnext-d.dev.d4science.org added

#14 - May 17, 2017 06:52 PM - Andrea Dell'Amico

I shut down the tabulardata service on the old VM
